Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2727103003: [sql] Histograms for I/O calls seen by browser VFS. (Closed)

Created:
2 years, 2 months ago by Scott Hess - ex-Googler
Modified:
2 years, 2 months ago
Reviewers:
pasko, jwd, Maria
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[sql] Histograms for I/O calls seen by browser VFS. Track the common VFS calls which do disk I/O, to help analyze the impact of any changes to how database connections are used or setup. BUG=698010 Review-Url: https://codereview.chromium.org/2727103003 Cr-Commit-Position: refs/heads/master@{#457099} Committed: https://chromium.googlesource.com/chromium/src/+/3998fbc50bb215733a081780b286804aa18225c3

Patch Set 1 #

Patch Set 2 : Rebase #

Total comments: 4

Patch Set 3 : Use histogram suffixes. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+111 lines, -0 lines) Patch
M sql/vfs_wrapper.cc View 1 2 8 chunks +74 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 chunks +37 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 28 (14 generated)
Scott Hess - ex-Googler
Sorry, I got distracted. Better late than never. I think this CL is probably worthwhile ...
2 years, 2 months ago (2017-03-03 00:10:48 UTC) #4
Scott Hess - ex-Googler
Rebase
2 years, 2 months ago (2017-03-03 19:48:59 UTC) #7
Maria
lgtm
2 years, 2 months ago (2017-03-03 20:07:37 UTC) #10
pasko
lgtm
2 years, 2 months ago (2017-03-06 17:06:02 UTC) #13
Scott Hess - ex-Googler
jwd@ for histograms.xml. The events histogram will have some buckets less, some more, they won't ...
2 years, 2 months ago (2017-03-07 00:14:15 UTC) #15
jwd
https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml#newcode66710 tools/metrics/histograms/histograms.xml:66710: +<histogram name="Sqlite.VfsFetch" units="bytes"> Can you reformulate the Fetch, Read, ...
2 years, 2 months ago (2017-03-07 22:33:57 UTC) #16
Scott Hess - ex-Googler
https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml#newcode66710 tools/metrics/histograms/histograms.xml:66710: +<histogram name="Sqlite.VfsFetch" units="bytes"> On 2017/03/07 22:33:57, jwd wrote: > ...
2 years, 2 months ago (2017-03-07 23:02:06 UTC) #17
Maria
https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml#newcode66710 tools/metrics/histograms/histograms.xml:66710: +<histogram name="Sqlite.VfsFetch" units="bytes"> On 2017/03/07 23:02:06, Scott Hess wrote: ...
2 years, 2 months ago (2017-03-08 06:27:38 UTC) #18
jwd
https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml#newcode66710 tools/metrics/histograms/histograms.xml:66710: +<histogram name="Sqlite.VfsFetch" units="bytes"> On 2017/03/08 06:27:38, Maria wrote: > ...
2 years, 2 months ago (2017-03-08 15:37:47 UTC) #19
Scott Hess - ex-Googler
Use histogram suffixes.
2 years, 2 months ago (2017-03-14 23:40:55 UTC) #20
Scott Hess - ex-Googler
On 2017/03/08 15:37:47, jwd wrote: > https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml > File tools/metrics/histograms/histograms.xml (right): > > https://codereview.chromium.org/2727103003/diff/20001/tools/metrics/histograms/histograms.xml#newcode66710 > ...
2 years, 2 months ago (2017-03-14 23:44:25 UTC) #21
jwd
lgtm
2 years, 2 months ago (2017-03-15 14:53:24 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2727103003/40001
2 years, 2 months ago (2017-03-15 15:22:24 UTC) #25
commit-bot: I haz the power
2 years, 2 months ago (2017-03-15 16:19:27 UTC) #28
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/3998fbc50bb215733a081780b286...

Powered by Google App Engine
This is Rietveld 408576698